# 
# Copyright (C) 2008 Vitesse Semiconductor
#

include $(TOPDIR)/rules.mk
include $(INCLUDE_DIR)/kernel.mk

PKG_NAME:=webif-webstax
PKG_RELEASE:=1

include $(INCLUDE_DIR)/package.mk

define Package/webif-webstax
  SECTION:=admin
  CATEGORY:=Administration
  DEPENDS:=+vtssappl +libpcre +libvtss_api +haserl +libopenssl +wireless-tools
  TITLE:=WebStax WebGUI for G-RocX
endef

define Package/webif-webstax/config
	config WEBIF_OPTION_QCL
		bool "Enable QCL in WebGUI"
		depends PACKAGE_webif-webstax
	config WEBIF_OPTION_ACL
		bool "Enable ACL in WebGUI"
		depends PACKAGE_webif-webstax
endef

define Build/Compile
	@echo "Compile..................."
	$(INSTALL_DIR) $(PKG_BUILD_DIR)/binary
	tar xzfO $(PKG_NAME)_$(PKG_RELEASE)_arm.ipk ./data.tar.gz | tar -C $(PKG_BUILD_DIR)/binary -xzf -
endef

define Package/webif-webstax/install
	@echo "Install.................."
	$(CP) $(PKG_BUILD_DIR)/binary/* $(1)
endef 

$(eval $(call BuildPackage,webif-webstax))
